/*
 * JPPF.
 * Copyright (C) 2005-2014 JPPF Team.
 * http://www.jppf.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jppf.utils.stats;

import java.util.EventObject;

/**
 * A statistics event.
 * @author Laurent Cohen
 * @exclude
 */
public class JPPFStatisticsEvent extends EventObject
{
  /**
   * Initialize this event with the specified source snapshot.
   * @param snapshot the snapshot on which the event occurred.
   */
  public JPPFStatisticsEvent(final JPPFSnapshot snapshot)
  {
    super(snapshot);
  }

  /**
   * Get the snapshot source of this event.
   * @return a {@link JPPFSnapshot} instance.
   */
  public JPPFSnapshot getSnapshot()
  {
    return (JPPFSnapshot) getSource();
  }
}
